com.holonplatform.core.datastore.operation.commons

## Interface BulkUpdateOperation<R,O extends BulkUpdateOperation<R,O>>

- Type Parameters:
    `O` - Actual operation type
  All Superinterfaces:
    DatastoreCommodity, DatastoreOperation<O,BulkUpdateOperationConfiguration>, DatastoreOperationConfiguration.Builder<O>, ExecutableBulkOperation<R,BulkUpdateOperationConfiguration,O>, ExecutableOperation<R>, ExpressionResolver.ExpressionResolverBuilder<O>, QueryFilter.QueryFilterSupport<O>, Serializable
  All Known Subinterfaces:
    AsyncBulkUpdate, BulkUpdate

      public interface BulkUpdateOperation<R,O extends BulkUpdateOperation<R,O>>
      extends ExecutableBulkOperation<R,BulkUpdateOperationConfiguration,O>, QueryFilter.QueryFilterSupport<O>

  Bulk `UPDATE` `ExecutableBulkOperation`.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <T> O` | `set(Path<T> path, T value)` Set given `path` to given constant value.
    `<T> O` | `set(Path<T> path, TypedExpression<? super T> expression)` Set given `path` to given `expression` value.
    `default O` | `set(PropertyBox propertyBox)` Set update operation values using given `PropertyBox`.
    `O` | `set(PropertyBox propertyBox, boolean includeNullValues)` Set update operation values using given `PropertyBox`.
    `default <P> O` | `setNull(Path<P> path)` Set the given `Path` to `null` value.

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperation

      `getConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder

      `parameter, parameter, target, withExpressionResolvers, withWriteOption, withWriteOptions, withWriteOptions`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.ExecutableOperation

      `execute`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter.QueryFilterSupport

      `filter, filter, filter`

- - ### Method Detail

    - #### set

          <T> O set(Path<T> path,
                    TypedExpression<? super T> expression)

      Set given `path` to given `expression` value.
      Type Parameters:
        `T` - Path type
      Parameters:
        `path` - Path to be updated (not null)
        `expression` - Expression value to set (not null)
      Returns:
        this
      See Also:
        `setNull(Path)`

    - #### set

          default <T> O set(Path<T> path,
                            T value)

      Set given `path` to given constant value.
      Type Parameters:
        `T` - Path type
      Parameters:
        `path` - Path to be updated (not null)
        `value` - value to set
      Returns:
        this
      See Also:
        `setNull(Path)`

    - #### setNull

          default <P> O setNull(Path<P> path)

      Set the given `Path` to `null` value.
      Type Parameters:
        `P` - Path type
      Parameters:
        `path` - Path to be updated (not null)
      Returns:
        this

    - #### set

          O set(PropertyBox propertyBox,
                boolean includeNullValues)

      Set update operation values using given `PropertyBox`.

      Each `Path` type property of the PropertyBox property set will be setted to its corresponding value in the PropertyBox. Any previously path binding will be replaced by a new path binding for matching paths.

      Parameters:
        `propertyBox` - PropertyBox to use (not null)
        `includeNullValues` - `true` to update to `null` any path without a value in the PropertyBox, `false` to ignore them
      Returns:
        this

    - #### set

          default O set(PropertyBox propertyBox)

      Set update operation values using given `PropertyBox`.

      Each `Path` type property of the PropertyBox property set will be setted to its corresponding value in the PropertyBox. Any previously path binding will be replaced by a new path binding for matching paths.

      Any path without a value in the PropertyBox will be updated to the `null` value.

      Parameters:
        `propertyBox` - propertyBox PropertyBox to use (not null)
      Returns:
        this
      See Also:
        `set(PropertyBox, boolean)`

Copyright © 2019 The Holon Platform. All rights reserved.